Bug 239167 - packages/groups marked as default don't get picked up from additional repos during install
packages/groups marked as default don't get picked up from additional repos d...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-05 10:08 EDT by Thorsten Leemhuis
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-07 14:45:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thorsten Leemhuis 2007-05-05 10:08:40 EDT
Description of problem:
I'm trying to write a proper comps.xml for an additional package repository.

I want to make the sure the repo files for this repo get installed automatically
when users configures this add-on repo to be used during install. Thus I added
this to our comps.xml ( http://rpm.livna.org/fedora/development/i386/comps.xml ):

<group>
<id>livna</id>
<name>Base for rpm.livna.org RPM-Repository</name>
<description>
Install this group to enable the rpm.livna.org package repository.
</description>
<default>true</default>
<uservisible>false</uservisible>
<packagelist>
<packagereq type="default">livna-release</packagereq>
</packagelist>
</group>

Afaics '<default>true</default>' and '<packagereq type="default">' should make
sure the group gets selected as default; thus the package livna-release should
get installed by default afaics. But that's not the case with test4 if I
configure the repo during install and simply proceed without adjusting the set
of packages.

It even gets worse: If I instead try to adjust the packageset after configuring
livna in anaconda it seems those groups that are selected normally as default
(e.g. "GNOME Desktop Environment") are not selected in the UI anymore (but it
seems they nevertheless get installed). Is this a unwanted side effect from
livna's comps.xml or a bug in anaconda?

Are those two problems anaconda's fault or does livna's comps.xml need to look
different to make sure everything works as it should be?

What I'm up to mainly is this:

 * livna-release should gets installed by default if user enabled livna in
anaconda during install
 * depending on what groups are selected install some other packages by default;
e.g. if the users install  the main spin then he should get
"gstreamer-plugins-ugly" by default; if he's using the KDE spin he should get
the proper kde-multimedia-add-on packages by default (and of course not those
for gnome).

It's likely that I did something wrong in the comps.xml (please tell me), but it
seems anaconda is not able to realize what I want, too (hence this bug report).
Comment 1 Jeremy Katz 2007-05-07 14:45:33 EDT
Adding the repository happens _after_ the default packages are selected (also,
the  default selection is under control of anaconda and not entirely based on
the comps file).  For F7 at least, this isn't going to change.  With some of the
bigger changes with how package repositories tie in with package selections,
etc, this may end up changing in the future but not guaranteed to do so.

There is a bug about the UI not getting updated properly when you add another
repo; that's  filed separately and hopefully one of the things I'm going to
knock out today before heading to the summit.
Comment 2 Thorsten Leemhuis 2007-05-07 14:49:09 EDT
(In reply to comment #1)
> [...]
> For F7 at least, this isn't going to change.

Well, I didn't expect that; but I'd like to make sure that gets fixed for F8 and
later... Shall I repoen, move somewhere else/whatever?

> There is a bug about the UI not getting updated properly when you add another
> repo; that's  filed separately and hopefully one of the things I'm going to
> knock out today 

thx

> before heading to the summit.

have fun!

Note You need to log in before you can comment on or make changes to this bug.